<template>
    <nav class='navbar navbar-expand navbar-light bg-light'>
        <a class='navbar brand'>{{title}}</a>
        <ul class='nav nav-pills'>
            <router-link to="/login" tag="li" class="nav-item"><a class='nav-link' v-if="!isAuthenticated">Login</a></router-link>
            <router-link to="/register" tag="li" class="nav-item"><a class='nav-link' v-if="!isAuthenticated">Register</a></router-link>
            <router-link to="/shop" tag="li" class="nav-item" v-if="isAuthenticated"><a class='nav-link'>Shop</a></router-link>
            <router-link to="/shop/cart" class="nav-item" tag="li" v-if="isAuthenticated"><a class='nav-link'>Cart[{{itemsInCart.length}}]</a></router-link>
            <router-link to="/shop/add" tag="li" class="nav-item" v-if="isAuthenticated"><a class='nav-link'>Add Product</a></router-link>
        </ul>
        <div class="btn-group ml-auto" v-if="isAuthenticated">
            <button type="button" class="btn btn-primary">{{ username }}</button>
            <button type="button" class="btn btn-primary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="sr-only">Toggle Dropdown</span>
            </button>
            <div class="dropdown-menu">
                <router-link class="dropdown-item" :to="{ name: 'profile',params: { username: username }}">My Profile</router-link>
                <router-link class="dropdown-item" :to="{ name: 'changepassword',params: { username: username }}">Change Password</router-link>
                <router-link class="dropdown-item" :to="{ name: 'userOrders',params: { username: username }}">My Orders</router-link>
                <router-link class="dropdown-item" :to="{ name: 'userProducts',params: { username: username }}">My Products</router-link>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#" @click="onLogOut">Logout</a>
            </div>
        </div>
    </nav>
</template>

<script>
    import { mapGetters } from 'vuex';
    export default {
        data() {
            return {
                title: 'Welcome to Nepali Amazon'
            }
        },
        computed: {
            ...mapGetters([
                "isAuthenticated",
                "username",
                "itemsInCart"
            ]),
        },
        methods : {
            onLogOut() {
                if(confirm("Are you sure you want to logout?")) {
                    this.$store.dispatch('logout');
                }
            }
        }
    }
</script>
